Subject: Re: Apache 2.0.48 installation
From: "Gerrit P. Haase" <[email-masked]>
To: Marcus Vinicius Ferreira <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Dec 2003 10:24:42 +0100

Hallo Marcus,

Am Mittwoch, 24. Dezember 2003 um 23:21 schriebst du:

> Hi, folks.

> I am trying to install httpd-2.0.48 on my cygwin/XP and I am getting a never
> seen (at least to me) error message:
> __________________________________________________________________________

> Installing build system files
> cp: `httpd' and `/usr/local/apache2/bin/#inst.2204#' are the same file
> chmod: getting attributes of `/usr/local/apache2/bin/#inst.2204#': No such file
> or directory
> mv: cannot stat `/usr/local/apache2/bin/#inst.2204#': No such file or directory
> make[1]: Leaving directory `/cygdrive/c/downloads/apache.org/httpd-2.0.48'
> __________________________________________________________________________

> There are no binaries for httpd, httpasswd and so on in /usr/local/apache2/bin.
> And I cannot find these funny "#inst.nnnn#" in the build directory tree.

> What do you suggest to correct this?

> My setup for apache is:

>      $ CC=gcc CFLAGS="-O2"  ./configure  
>      $ make && make install

> My cygwin environment is:

>     WindowsXP
>     cygwin 1.5.5
>     gcc-3.3.1

> Thanks for any help,

The Makefiles need to be modified, look for the install targets, they
do things like: `cp httpd /target/path/httpd' which doesn't work
without patched versions of the fileutils.  Change the Makefiles to
include the suffixes (`cp httpd.exe /target/path/httpd.exe').

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/